/*
    define global css variables
*/
:root {
    --primary-color: #b3ecff;
    --secondary-color: #95c8ff7e;
    --dark-color: #2C2C2C;
    --darkest-color: #222222;
    --light-color: #ffffff;

    --formation-color: var(--primary-color);
    --domain-color: var(--primary-color);
    --canton-color: var(--primary-color);
}

/*
    define main html elements
*/
body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: var(--light-color);
}

nav{
    box-shadow: 0 0 1px 0 black;
    border-bottom: solid 1px darkgrey;
}

.nav-dark{
    background-color: var(--dark-color);
    color: var(--light-color);
}

.nav-dark a{
    color: var(--light-color);
}

.nav-dark a:hover{
    color: var(--light-color);
    font-style: italic;
}

.nav-light{
    background-color: var(--light-color);
    color: var(--dark-color);
}

.nav-light a{
    color: var(--dark-color);
}

.nav-light a:hover{
    color: var(--dark-color);
    font-style: italic;
}

/*
    define main classes
*/
.full-size {
    width: 100%;
    height: 100%;
    margin: 0;
}

.circle-dataviz:hover {
    stroke-width: 7px !important;
    opacity: 1 !important;  
}

.canton-dataviz:hover {
    opacity: 0.8;
}